Loading...
Searching...
No Matches
_PedDeviceArchOps Struct Reference
PedDevice

List of functions implementing architecture-specific operations. More...

`#include <device.h>`

## Data Fields

PedDevice *(* | _new )(const char *path)
PedSector(* | check )(PedDevice *dev, void *buffer, PedSector start, PedSector count)
int(* | close )(PedDevice *dev)
void(* | destroy )(PedDevice *dev)
PedAlignment *(* | get_minimum_alignment )(const PedDevice *dev)
PedAlignment *(* | get_optimum_alignment )(const PedDevice *dev)
int(* | is_busy )(PedDevice *dev)
int(* | open )(PedDevice *dev)
void(* | probe_all )()
int(* | read )(const PedDevice *dev, void *buffer, PedSector start, PedSector count)
int(* | refresh_close )(PedDevice *dev)
int(* | refresh_open )(PedDevice *dev)
int(* | sync )(PedDevice *dev)
int(* | sync_fast )(PedDevice *dev)
int(* | write )(PedDevice *dev, const void *buffer, PedSector start, PedSector count)

## Detailed Description

List of functions implementing architecture-specific operations.

## Field Documentation

## _new

PedDevice *(* _PedDeviceArchOps::_new)(const char *path)

## check

PedSector(* _PedDeviceArchOps::check)(PedDevice *dev, void *buffer, PedSector start, PedSector count)

## close

int(* _PedDeviceArchOps::close)(PedDevice *dev)

## destroy

void(* _PedDeviceArchOps::destroy)(PedDevice *dev)

## get_minimum_alignment

PedAlignment *(* _PedDeviceArchOps::get_minimum_alignment)(const PedDevice *dev)

## get_optimum_alignment

PedAlignment *(* _PedDeviceArchOps::get_optimum_alignment)(const PedDevice *dev)

## is_busy

int(* _PedDeviceArchOps::is_busy)(PedDevice *dev)

## open

int(* _PedDeviceArchOps::open)(PedDevice *dev)

## probe_all

void(* _PedDeviceArchOps::probe_all)()

## read

int(* _PedDeviceArchOps::read)(const PedDevice *dev, void *buffer, PedSector start, PedSector count)

## refresh_close

int(* _PedDeviceArchOps::refresh_close)(PedDevice *dev)

## refresh_open

int(* _PedDeviceArchOps::refresh_open)(PedDevice *dev)

## sync

int(* _PedDeviceArchOps::sync)(PedDevice *dev)

## sync_fast

int(* _PedDeviceArchOps::sync_fast)(PedDevice *dev)

## write

int(* _PedDeviceArchOps::write)(PedDevice *dev, const void *buffer, PedSector start, PedSector count)

The documentation for this struct was generated from the following files:

- include/parted/device.h
- include/parted/device.in.h